### Type parameters

- #### T

### Hierarchy

- DeepCopy<Page<T>>
  - Page

## Index

### Constructors

- constructor

### Properties

- content
- counters
- first
- last
- number
- numberOfElements
- pageable
- size
- total
- totalElements
- totalPages

### Methods

- copy
- deepCopyFromJson
- getClass
- toJson
- fromJson

## Constructors

### constructor

- new Page(total?: number, content?: Array<T>, pageable?: Pageable, numberOfElements?: number, first?: boolean, last?: boolean, number?: number, size?: number, totalPages?: number, totalElements?: number, counters?: object): Page

- - Defined in repository/models/Page.ts:64

  #### Parameters

  - ##### Default value total: number = 0

  - ##### Default value content: Array<T> = []

  - ##### Default value pageable: Pageable = new Pageable()

  - ##### Default value numberOfElements: number = 0

  - ##### Default value first: boolean = false

  - ##### Default value last: boolean = false

  - ##### Default value number: number = 0

  - ##### Default value size: number = 0

  - ##### Default value totalPages: number = 0

  - ##### Default value totalElements: number = 0

  - ##### Default value counters: object = {}

  #### Returns Page

## Properties

### content

content: Array<T>

- Defined in repository/models/Page.ts:27

### Optional counters

counters: object

- Defined in repository/models/Page.ts:36

### first

first: boolean

- Defined in repository/models/Page.ts:30

### last

last: boolean

- Defined in repository/models/Page.ts:31

### number

number: number

- Defined in repository/models/Page.ts:32

### numberOfElements

numberOfElements: number

- Defined in repository/models/Page.ts:29

### pageable

pageable: Pageable

- Defined in repository/models/Page.ts:28

### size

size: number

- Defined in repository/models/Page.ts:33

### total

total: number

- Defined in repository/models/Page.ts:26

### totalElements

totalElements: number

- Defined in repository/models/Page.ts:35

### totalPages

totalPages: number

- Defined in repository/models/Page.ts:34

## Methods

### copy

- copy(changeArgs?: JsonObject<Page<T>>): Page<T>

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:11

  #### Parameters

  - ##### Optional changeArgs: JsonObject<Page<T>>

  #### Returns Page<T>

### Protected deepCopyFromJson

- deepCopyFromJson(): Page<T>

- Overrides DeepCopy.deepCopyFromJson

  - Defined in repository/models/Page.ts:98

  #### Returns Page<T>

### Protected getClass

- getClass(): ClassCreator<Page<T>>

- Overrides DeepCopy.getClass

  - Defined in repository/models/Page.ts:102

  #### Returns ClassCreator<Page<T>>

### toJson

- toJson(): object

- Overrides JsonTransform.toJson

  - Defined in repository/models/Page.ts:94

  #### Returns object

### Static fromJson

- fromJson<T>(json: object, Creator: object): Page<T>

- - Defined in repository/models/Page.ts:39

  #### Type parameters

  - #### T

  #### Parameters

  - ##### json: object

  - ##### Creator: object

    - ##### constructor: function

      - new __type(): T
      - - Defined in repository/models/Page.ts:39

        #### Returns T

  #### Returns Page<T>

Generated using TypeDoc